## org.apache.mahout.fpm.pfpgrowth.convertors.integer
Class IntegerStringOutputConverter

    java.lang.Object
      org.apache.mahout.fpm.pfpgrowth.convertors.integer.IntegerStringOutputConverter

All Implemented Interfaces:
  org.apache.hadoop.mapred.OutputCollector<Integer,List<Pair<List<Integer>,Long>>>

    public final class IntegerStringOutputConverter

extends Object
implements org.apache.hadoop.mapred.OutputCollector<Integer,List<Pair<List<Integer>,Long>>>

Collects the Patterns with Integer id and Long support and converts them to Pattern of Strings based on a reverse feature lookup map.

Constructor Summary
`IntegerStringOutputConverter(org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.Text,TopKStringPatterns> collector, List<String> featureReverseMap)`

Method Summary
`void` `collect(Integer key, List<Pair<List<Integer>,Long>> value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegerStringOutputConverter

    public IntegerStringOutputConverter(org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.Text,TopKStringPatterns> collector,
                                        List<String> featureReverseMap)

Method Detail

### collect

    public void collect(Integer key,
                        List<Pair<List<Integer>,Long>> value)
                 throws IOException

  Specified by:
    `collect` in interface `org.apache.hadoop.mapred.OutputCollector<Integer,List<Pair<List<Integer>,Long>>>`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.